Subject: Xilinx FX60

From: Robert Woodworth <[email-masked]>
Date: Wed, 05 Sep 2007 12:42:28 -0600

After achieving complete success with my Linux kernel on the ML403, I've
now started to build a kernel for my real target board with a
Virtex4-FX60 (dual PPC cores)

Has anyone built a kernel for a dual core PPC Virtex?  I have found very
little docs on how to architect software for the dual-core PPC's.  
Will SMP Linux work on this platform?  What would the bus setup be?

My kernel is partially booting, some of the time... I'm mystified by the
situation.  One time, I get all the happy boot messages through the
UARTLite port, then the next reboot it stops at "Now booting the kernel"
I'm only getting about 10% successful boots......

My EDK setup is as follows;  I've disconnected the second PPC from the
PLB to have a single PPC system, 32MB DDR on PLB, TEMAC on PLB, UARTLite
on OPB.